| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::D3D11DepthBuffer Class Reference

`#include <OgreD3D11DepthBuffer.h>`

Inheritance diagram for Ogre::D3D11DepthBuffer:
[legend]

## Public Types
enum | PoolId { POOL_NO_DEPTH = 0, POOL_MANUAL_USAGE = 0, POOL_DEFAULT = 1 }

## Public Member Functions
| D3D11DepthBuffer (uint16 poolId, D3D11RenderSystem *renderSystem, ID3D11DepthStencilView *depthBufferView, uint32 width, uint32 height, uint32 fsaa, uint32 multiSampleQuality, bool isManual)
| ~D3D11DepthBuffer ()
virtual void | _notifyRenderTargetAttached (RenderTarget *renderTarget)
| Called when a RenderTarget is attaches this DepthBuffer. More...
virtual void | _notifyRenderTargetDetached (RenderTarget *renderTarget)
| Called when a RenderTarget is detaches from this DepthBuffer. More...
void | _resized (ID3D11DepthStencilView *depthBufferView, uint32 width, uint32 height)
| internal method, gets called when the renderwindow was resized More...
void | _setPoolId (uint16 poolId)
| Sets the pool id in which this DepthBuffer lives. More...
virtual uint16 | getBitDepth () const
ID3D11DepthStencilView * | getDepthStencilView () const
virtual uint32 | getFsaa () const
virtual const String & | getFsaaHint () const
virtual uint32 | getHeight () const
virtual uint16 | getPoolId () const
| Gets the pool id in which this DepthBuffer lives. More...
virtual uint32 | getWidth () const
virtual bool | isCompatible (RenderTarget *renderTarget) const
| Returns whether the specified RenderTarget is compatible with this DepthBuffer That is, this DepthBuffer can be attached to that RenderTarget. More...
bool | isManual () const
| Manual DepthBuffers are cleared in RenderSystem's destructor. More...

## Constructor & Destructor Documentation

## ◆ D3D11DepthBuffer()

Ogre::D3D11DepthBuffer::D3D11DepthBuffer | ( | uint16 | poolId,
|  | D3D11RenderSystem * | renderSystem,
|  | ID3D11DepthStencilView * | depthBufferView,
|  | uint32 | width,
|  | uint32 | height,
|  | uint32 | fsaa,
|  | uint32 | multiSampleQuality,
|  | bool | isManual
| ) |  |

## ◆ ~D3D11DepthBuffer()

Ogre::D3D11DepthBuffer::~D3D11DepthBuffer | ( |  | ) |

## Member Function Documentation

## ◆ isCompatible()

virtual bool Ogre::D3D11DepthBuffer::isCompatible | ( | RenderTarget * | renderTarget | ) | const
| virtual

Returns whether the specified RenderTarget is compatible with this DepthBuffer That is, this DepthBuffer can be attached to that RenderTarget.

Remarks
  Most APIs impose the following restrictions: Width & height must be equal or higher than the render target's They must be of the same bit depth. They need to have the same FSAA setting

Parameters

  renderTarget | The render target to test against

Reimplemented from Ogre::DepthBuffer.

## ◆ getDepthStencilView()

ID3D11DepthStencilView* Ogre::D3D11DepthBuffer::getDepthStencilView | ( |  | ) | const

## ◆ _resized()

void Ogre::D3D11DepthBuffer::_resized | ( | ID3D11DepthStencilView * | depthBufferView,
|  | uint32 | width,
|  | uint32 | height
| ) |  |

internal method, gets called when the renderwindow was resized

The documentation for this class was generated from the following file:

- OgreD3D11DepthBuffer.h